Check if a stream is a TTY

- « stream_is_local

- stream_notification_callback »

- PHP Manual
- Stream Functions
- Check if a stream is a TTY

# stream_isatty

(PHP 7 >= 7.2.0, PHP 8)

stream_isatty — Check if a stream is a TTY

### Description

stream_isatty(resource `$stream`): bool

Determines if stream `stream` refers to a valid terminal type device. This is a more portable version of posix_isatty(), since it works on Windows systems too.

### Parameters

`stream`

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 stream_isatty() example

This command can be used to determine if a standard output / standard error stream is redirected to a file.

    php -r "var_export(stream_isatty(STDERR));"

The above example will output something similar to:

true

    php -r "var_export(stream_isatty(STDERR));" 2>output.txt

The above example will output something similar to:

false